require 'redmine'

Redmine::Plugin.register :redmine_kk_works do
  name 'KkWorks plugin'
  author 'Jiri Krivanek'
  description 'This plugin improves the spent time recording and adds the simple reporting on it'
  version '0.0.5'

  permission :kkworks_view_works,
             :kk_works => [:index, :history_depth]

  permission :kkworks_edit_works,
             :kk_works => [:index, :delete, :edit, :entry, :save_edit, :history_depth]

  permission :kkworks_view_self_report,
             :kk_works => [:index, :report]

  permission :kkworks_view_others_report,
             :kk_works => [:index, :report]

  menu :top_menu, :kk_works, { :controller => 'kk_works', :action => 'index' }, :caption => :menu_item_caption,
       :if => Proc.new { User.current.logged? && (User.current.allowed_to?(:kkworks_view_works, nil, {:global => true}) || User.current.allowed_to?(:kkworks_edit_works, nil, {:global => true}) || User.current.allowed_to?(:kkworks_view_self_report, nil, {:global => true}) || User.current.allowed_to?(:kkworks_view_others_report, nil, {:global => true})) }
end
