require File.dirname(__FILE__) + '/../../../../app/helpers/timelog_helper'

module KkWorksHelper
  include TimelogHelper

  def time_entries_path
    'kk_works'
  end

  def project_collection_for_select_options
    projects = User.current.projects.all
    collection = []
    collection << ["--- #{l(:label_project_please_select)} ---", '']
    pth collection, projects, nil, ''
    collection
  end

  def pth collection, projects, parent_id, indent
    projects.each do |p|
      if parent_id == nil
        if p.parent_id == nil
          cpt = indent + h(p)
          collection << [cpt, -9999]
          pthi collection, p.id, indent
          pth collection, projects, p.id, indent + '. . . '
        end
      else
        if p.parent_id == parent_id
          cpt = indent + h(p)          
          collection << [cpt, -9999]
          pthi collection, p.id, indent
          pth collection, projects, p.id, indent + '. . . '
        end
      end
    end
  end

  def pthi collection, project_id, indent
    issues = Issue.find(
      :all,
      :conditions => ["#{Issue.table_name}.project_id = ?", project_id]
    )
    issues.each do |i|
      if not i.status.is_closed
        if i.assigned_to_id == nil || i.assigned_to_id == User.current.id
          cpt = indent + '. . . #' + i.id.to_s + ' - ' + i.subject
          collection << [h(cpt), i.id]
        end
      end
    end
  end

end
